summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErick Cafferata <erick@cafferata.me>2019-02-10 12:51:20 -0500
committerErick Cafferata <erick@cafferata.me>2019-02-11 12:55:15 -0500
commit777074c5ef13d886c4ea018c2ff0059e9d93692a (patch)
tree3aafaf57b43e54adbdd81f9e0ae750a507f3f9ee
parent5198e6cb8d302c4325068fa089e546cc950851f1 (diff)
downloadasp32-777074c5ef13d886c4ea018c2ff0059e9d93692a.tar.xz
add arch32 support for show command
- new behavior will show by default the files available in the arch32 repo or, if not overwritten by the arch32 repo, the ones available in upstream. - In the special case of PKGBUILD, it will only show the 'patch' file in the arch32 repo. - As always, to check the upstream files, add the -u option.
-rw-r--r--package.inc.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/package.inc.sh b/package.inc.sh
index dcdc331..f1b5797 100644
--- a/package.inc.sh
+++ b/package.inc.sh
@@ -122,6 +122,12 @@ package_show_file() {
fi
fi
+ if ! (( OPT_UPSTREAM )); then
+ local trepo
+ read -r trepo _ < <(package_get_repos_with_arch "$pkgname" packages32)
+ [[ $trepo ]] && git show "remotes/packages32/master:$trepo/$pkgname/$file" 2>/dev/null \
+ && return
+ fi
git show "remotes/$remote/packages/$pkgname:$subtree$file"
}